> ## Documentation Index
> Fetch the complete documentation index at: https://docs.repdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch responses with filter applied

> # Description

Generates an optimal max-diff experiment according to the input parameters.

# Body

```json
{
   "projectId": string,
   "limit": number,
   "skip": number,
   "fromDate": string,
   "toDate": string,
   "questionId": [string],
   "textFilter": string,
   "filter": array
}
```

where:

- `projectId`: The id of the project. **Required**.
- `limit`: The amount of responses data to fetch (for paging). **Required**.
- `skip`: The amount of responses data to skip (for paging). **Required**.
- `fromDate`: The initial date of the responses data desired. **Required**.
- `toDate`: The final date of the responses data desired. **Required**.
- `questionId`: Array containing question ids that will be displayed in the UI table. Optional. 
- `textFilter`: Text that will be used as a search term to filter out the results. Optional. 
- `filter`: Array of applied filters. Optional.
  - `type`: The type of the filter. Accepted values are QUESTION, CONCEPT_DISPLAYED, CAMPAIGN and CHANNEL. **Required**.
  - `operator`: The operator to use to evaluate the condition of the filter. Accepted values are EQUAL, NOT_EQUAL, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, LESS_THAN, LESS_THAN_OR_EQUAL_TO, BETWEEN_EXCLUSIVE, BETWEEN_INCLUSIVE. **Required**.
  - `values`: The values used for the condition evaluation. For BETWEEN_EXCLUSIVE, BETWEEN_INCLUSIVE, a 2 values array is expected, else it should be an array with just one element. **Required**.
  - `subtype`: The subtype of the condition. Accepted values are CATEGORICAL, CATEGORICAL_ROW and NUMERICAL. **Required**.
  - `questionIds`: It is an array of question ids to be evaluated in the condition. **Required** when type=QUESTION.

# Response

## 200 OK

```json
{
   "responses": [
      {
         "_id": string,
         "createdAt": string,
         "campaignId": string
         "requestInfo": {
            "ip": string,
            "ips": [
               string
            ],
            "location": {
               "accuracy_radius": number,
               "latitude": number,
               "longitude": number,
               "time_zone": string,
               "city": string,
               "country": string
            },
            "geoData": {
               "city": {
                  "geoname_id": number,
                  "names": {
                     "de": string,
                     "en": string,
                     "es": string,
                     "fr": string,
                     "ja": string,
                     "pt-BR": string,
                     "ru": string,
                     "zh-CN": string
                  }
               },
               "continent": {
                  "code": string,
                  "geoname_id": number,
                  "names": {
                     "de": string,
                     "en": string,
                     "es": string,
                     "fr": string,
                     "ja": string,
                     "pt-BR": string,
                     "ru": string,
                     "zh-CN": string
                  }
               },
               "country": {
                  "geoname_id": number,
                  "iso_code": string,
                  "names": {
                     "de": string,
                     "en": string,
                     "es": string,
                     "fr": string,
                     "ja": string,
                     "pt-BR": string,
                     "ru": string,
                     "zh-CN": string
                  }
               },
               "location": {
                  "accuracy_radius": number,
                  "latitude": number,
                  "longitude": number,
                  "time_zone": string
               },
               "registered_country": {
                  "geoname_id": number,
                  "iso_code": string,
                  "names": {
                     "de": string,
                     "en": string,
                     "es": string,
                     "fr": string,
                     "ja": string,
                     "pt-BR": string,
                     "ru": string,
                     "zh-CN": string
                  }
               },
               "subdivisions": [
                  {
                     "geoname_id": number,
                     "iso_code": string,
                     "names": {
                        "en": string
                     }
                  }
               ],
               "traits": {
                  "ip_address": string,
                  "prefix_len": number
               }
            }
         },
         "code": string,
         "timeToComplete": number,
         "responsesCount": number,
         "id": string
      }
   ],
   "filteredCount": number,
   "totalCount": number
}
```

where:

- `responses`: Array of responses data.
- `filteredCount`: Number of responses that matched the filter.
- `totalCount`: Number of responses in total for the project.

## 400 Bad Request

> ProjectId, limit, skip, fromDate and/or toDate are missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request.

# Description

Generates an optimal max-diff experiment according to the input parameters.

# Body

```json theme={null}
{
   "projectId": string,
   "limit": number,
   "skip": number,
   "fromDate": string,
   "toDate": string,
   "questionId": [string],
   "textFilter": string,
   "filter": array
}
```

where:

* `projectId`: The id of the project. **Required**.
* `limit`: The amount of responses data to fetch (for paging). **Required**.
* `skip`: The amount of responses data to skip (for paging). **Required**.
* `fromDate`: The initial date of the responses data desired. **Required**.
* `toDate`: The final date of the responses data desired. **Required**.
* `questionId`: Array containing question ids that will be displayed in the UI table. Optional.
* `textFilter`: Text that will be used as a search term to filter out the results. Optional.
* `filter`: Array of applied filters. Optional.
  * `type`: The type of the filter. Accepted values are QUESTION, CONCEPT\_DISPLAYED, CAMPAIGN and CHANNEL. **Required**.
  * `operator`: The operator to use to evaluate the condition of the filter. Accepted values are EQUAL, NOT\_EQUAL, GREATER\_THAN, GREATER\_THAN\_OR\_EQUAL\_TO, LESS\_THAN, LESS\_THAN\_OR\_EQUAL\_TO, BETWEEN\_EXCLUSIVE, BETWEEN\_INCLUSIVE. **Required**.
  * `values`: The values used for the condition evaluation. For BETWEEN\_EXCLUSIVE, BETWEEN\_INCLUSIVE, a 2 values array is expected, else it should be an array with just one element. **Required**.
  * `subtype`: The subtype of the condition. Accepted values are CATEGORICAL, CATEGORICAL\_ROW and NUMERICAL. **Required**.
  * `questionIds`: It is an array of question ids to be evaluated in the condition. **Required** when type=QUESTION.

# Response

## 200 OK

```json theme={null}
{
   "responses": [
      {
         "_id": string,
         "createdAt": string,
         "campaignId": string
         "requestInfo": {
            "ip": string,
            "ips": [
               string
            ],
            "location": {
               "accuracy_radius": number,
               "latitude": number,
               "longitude": number,
               "time_zone": string,
               "city": string,
               "country": string
            },
            "geoData": {
               "city": {
                  "geoname_id": number,
                  "names": {
                     "de": string,
                     "en": string,
                     "es": string,
                     "fr": string,
                     "ja": string,
                     "pt-BR": string,
                     "ru": string,
                     "zh-CN": string
                  }
               },
               "continent": {
                  "code": string,
                  "geoname_id": number,
                  "names": {
                     "de": string,
                     "en": string,
                     "es": string,
                     "fr": string,
                     "ja": string,
                     "pt-BR": string,
                     "ru": string,
                     "zh-CN": string
                  }
               },
               "country": {
                  "geoname_id": number,
                  "iso_code": string,
                  "names": {
                     "de": string,
                     "en": string,
                     "es": string,
                     "fr": string,
                     "ja": string,
                     "pt-BR": string,
                     "ru": string,
                     "zh-CN": string
                  }
               },
               "location": {
                  "accuracy_radius": number,
                  "latitude": number,
                  "longitude": number,
                  "time_zone": string
               },
               "registered_country": {
                  "geoname_id": number,
                  "iso_code": string,
                  "names": {
                     "de": string,
                     "en": string,
                     "es": string,
                     "fr": string,
                     "ja": string,
                     "pt-BR": string,
                     "ru": string,
                     "zh-CN": string
                  }
               },
               "subdivisions": [
                  {
                     "geoname_id": number,
                     "iso_code": string,
                     "names": {
                        "en": string
                     }
                  }
               ],
               "traits": {
                  "ip_address": string,
                  "prefix_len": number
               }
            }
         },
         "code": string,
         "timeToComplete": number,
         "responsesCount": number,
         "id": string
      }
   ],
   "filteredCount": number,
   "totalCount": number
}
```

where:

* `responses`: Array of responses data.
* `filteredCount`: Number of responses that matched the filter.
* `totalCount`: Number of responses in total for the project.

## 400 Bad Request

> ProjectId, limit, skip, fromDate and/or toDate are missing.

## 401 Unauthorized

> The user doesn't have permissions.

## 500 Internal Server Error

> Error occurred while processing the request.


## OpenAPI

````yaml POST /responses-capture-service/v1/responses/responsesWithFilter
openapi: 3.0.3
info:
  title: SightX API
  version: 1.0.0
  description: >-
    SightX REST API documentation. Most responses are JSON; some export
    endpoints return files. API access is a paid add-on — contact
    sales@sightx.io for details.
servers:
  - url: https://auth.admin.sightx.io
    description: Authentication (Production)
  - url: https://auth.staging-admin.sightx.io
    description: Authentication (Staging)
security:
  - AuthorizationHeader: []
paths:
  /responses-capture-service/v1/responses/responsesWithFilter:
    post:
      summary: Fetch responses with filter applied
      description: >-
        # Description


        Generates an optimal max-diff experiment according to the input
        parameters.


        # Body


        ```json

        {
           "projectId": string,
           "limit": number,
           "skip": number,
           "fromDate": string,
           "toDate": string,
           "questionId": [string],
           "textFilter": string,
           "filter": array
        }

        ```


        where:


        - `projectId`: The id of the project. **Required**.

        - `limit`: The amount of responses data to fetch (for paging).
        **Required**.

        - `skip`: The amount of responses data to skip (for paging).
        **Required**.

        - `fromDate`: The initial date of the responses data desired.
        **Required**.

        - `toDate`: The final date of the responses data desired. **Required**.

        - `questionId`: Array containing question ids that will be displayed in
        the UI table. Optional. 

        - `textFilter`: Text that will be used as a search term to filter out
        the results. Optional. 

        - `filter`: Array of applied filters. Optional.
          - `type`: The type of the filter. Accepted values are QUESTION, CONCEPT_DISPLAYED, CAMPAIGN and CHANNEL. **Required**.
          - `operator`: The operator to use to evaluate the condition of the filter. Accepted values are EQUAL, NOT_EQUAL, GREATER_THAN, GREATER_THAN_OR_EQUAL_TO, LESS_THAN, LESS_THAN_OR_EQUAL_TO, BETWEEN_EXCLUSIVE, BETWEEN_INCLUSIVE. **Required**.
          - `values`: The values used for the condition evaluation. For BETWEEN_EXCLUSIVE, BETWEEN_INCLUSIVE, a 2 values array is expected, else it should be an array with just one element. **Required**.
          - `subtype`: The subtype of the condition. Accepted values are CATEGORICAL, CATEGORICAL_ROW and NUMERICAL. **Required**.
          - `questionIds`: It is an array of question ids to be evaluated in the condition. **Required** when type=QUESTION.

        # Response


        ## 200 OK


        ```json

        {
           "responses": [
              {
                 "_id": string,
                 "createdAt": string,
                 "campaignId": string
                 "requestInfo": {
                    "ip": string,
                    "ips": [
                       string
                    ],
                    "location": {
                       "accuracy_radius": number,
                       "latitude": number,
                       "longitude": number,
                       "time_zone": string,
                       "city": string,
                       "country": string
                    },
                    "geoData": {
                       "city": {
                          "geoname_id": number,
                          "names": {
                             "de": string,
                             "en": string,
                             "es": string,
                             "fr": string,
                             "ja": string,
                             "pt-BR": string,
                             "ru": string,
                             "zh-CN": string
                          }
                       },
                       "continent": {
                          "code": string,
                          "geoname_id": number,
                          "names": {
                             "de": string,
                             "en": string,
                             "es": string,
                             "fr": string,
                             "ja": string,
                             "pt-BR": string,
                             "ru": string,
                             "zh-CN": string
                          }
                       },
                       "country": {
                          "geoname_id": number,
                          "iso_code": string,
                          "names": {
                             "de": string,
                             "en": string,
                             "es": string,
                             "fr": string,
                             "ja": string,
                             "pt-BR": string,
                             "ru": string,
                             "zh-CN": string
                          }
                       },
                       "location": {
                          "accuracy_radius": number,
                          "latitude": number,
                          "longitude": number,
                          "time_zone": string
                       },
                       "registered_country": {
                          "geoname_id": number,
                          "iso_code": string,
                          "names": {
                             "de": string,
                             "en": string,
                             "es": string,
                             "fr": string,
                             "ja": string,
                             "pt-BR": string,
                             "ru": string,
                             "zh-CN": string
                          }
                       },
                       "subdivisions": [
                          {
                             "geoname_id": number,
                             "iso_code": string,
                             "names": {
                                "en": string
                             }
                          }
                       ],
                       "traits": {
                          "ip_address": string,
                          "prefix_len": number
                       }
                    }
                 },
                 "code": string,
                 "timeToComplete": number,
                 "responsesCount": number,
                 "id": string
              }
           ],
           "filteredCount": number,
           "totalCount": number
        }

        ```


        where:


        - `responses`: Array of responses data.

        - `filteredCount`: Number of responses that matched the filter.

        - `totalCount`: Number of responses in total for the project.


        ## 400 Bad Request


        > ProjectId, limit, skip, fromDate and/or toDate are missing.


        ## 401 Unauthorized


        > The user doesn't have permissions.


        ## 500 Internal Server Error


        > Error occurred while processing the request.
      operationId: >-
        fetch-responses-with-filter-applied-post-responses-capture-service-v1-responses-responseswithfilter
      parameters:
        - name: Authorization
          in: header
          required: true
          description: Authorization token
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              additionalProperties: true
            example:
              projectId: '{{projectId}}'
              limit: 26
              skip: 0
              fromDate: '2020-01-01'
              toDate: '2022-12-31T23:59:59Z'
              filter: []
      responses:
        '200':
          description: Fetch responses with filter applied
          content:
            application/json:
              schema:
                type: object
                additionalProperties: true
              example:
                responses:
                  - _id: 60de3772ffbe034c3f446c8d
                    createdAt: '2021-07-01T16:45:22.000Z'
                    campaignId: 60de35bc56ca09002d3997f2
                    requestInfo:
                      ip: 201.183.99.58
                      ips:
                        - 201.183.99.58
                      location:
                        accuracy_radius: 1000
                        latitude: -2.1664
                        longitude: -79.9011
                        time_zone: America/Guayaquil
                        city: Guayaquil
                        country: Ecuador
                      geoData:
                        city:
                          geoname_id: 3657509
                          names:
                            de: Guayaquil
                            en: Guayaquil
                            es: Guayaquil
                            fr: Guayaquil
                            ja: グアヤキル
                            pt-BR: Guaiaquil
                            ru: Гуаякиль
                        continent:
                          code: SA
                          geoname_id: 6255150
                          names:
                            de: Südamerika
                            en: South America
                            es: Sudamérica
                            fr: Amérique du Sud
                            ja: 南アメリカ
                            pt-BR: América do Sul
                            ru: Южная Америка
                            zh-CN: 南美洲
                        country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        location:
                          accuracy_radius: 1000
                          latitude: -2.1664
                          longitude: -79.9011
                          time_zone: America/Guayaquil
                        registered_country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        subdivisions:
                          - geoname_id: 3657505
                            iso_code: G
                            names:
                              en: Provincia del Guayas
                              es: Guayas
                        traits:
                          ip_address: 201.183.99.58
                          prefix_len: 23
                    code: WaUeRW4KAq
                    timeToComplete: 363
                    responsesCount: 130
                    id: 60de3772ffbe034c3f446c8d
                  - _id: 60de37bcffbe034c3f446c8e
                    createdAt: '2021-07-01T16:46:36.000Z'
                    campaignId: 60de35bc56ca09002d3997f2
                    requestInfo:
                      ip: 186.101.154.128
                      ips:
                        - 186.101.154.128
                      location:
                        accuracy_radius: 100
                        latitude: -0.9333
                        longitude: -78.6167
                        time_zone: America/Guayaquil
                        city: Latacunga
                        country: Ecuador
                      geoData:
                        city:
                          geoname_id: 3654870
                          names:
                            de: Latacunga
                            en: Latacunga
                            es: Latacunga
                            fr: Latacunga
                            ru: Латакунга
                            zh-CN: 拉塔昆加
                        continent:
                          code: SA
                          geoname_id: 6255150
                          names:
                            de: Südamerika
                            en: South America
                            es: Sudamérica
                            fr: Amérique du Sud
                            ja: 南アメリカ
                            pt-BR: América do Sul
                            ru: Южная Америка
                            zh-CN: 南美洲
                        country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        location:
                          accuracy_radius: 100
                          latitude: -0.9333
                          longitude: -78.6167
                          time_zone: America/Guayaquil
                        registered_country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        subdivisions:
                          - geoname_id: 3658766
                            iso_code: X
                            names:
                              en: Provincia de Cotopaxi
                        traits:
                          ip_address: 186.101.154.128
                          prefix_len: 24
                    code: TUfgli6wwl
                    timeToComplete: 450
                    responsesCount: 114
                    id: 60de37bcffbe034c3f446c8e
                  - _id: 60de37d7ffbe034c3f446c8f
                    createdAt: '2021-07-01T16:47:03.000Z'
                    campaignId: 60de35bc56ca09002d3997f2
                    requestInfo:
                      ip: 186.33.167.248
                      ips:
                        - 186.33.167.248
                      location:
                        accuracy_radius: 1
                        latitude: -0.2143
                        longitude: -78.5017
                        time_zone: America/Guayaquil
                        city: Quito
                        country: Ecuador
                      geoData:
                        city:
                          geoname_id: 3652462
                          names:
                            de: Quito
                            en: Quito
                            es: Quito
                            fr: Quito
                            ja: キト
                            pt-BR: Quito
                            ru: Кито
                            zh-CN: 基多
                        continent:
                          code: SA
                          geoname_id: 6255150
                          names:
                            de: Südamerika
                            en: South America
                            es: Sudamérica
                            fr: Amérique du Sud
                            ja: 南アメリカ
                            pt-BR: América do Sul
                            ru: Южная Америка
                            zh-CN: 南美洲
                        country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        location:
                          accuracy_radius: 1
                          latitude: -0.2143
                          longitude: -78.5017
                          time_zone: America/Guayaquil
                        registered_country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        subdivisions:
                          - geoname_id: 3653224
                            iso_code: P
                            names:
                              en: Provincia de Pichincha
                        traits:
                          ip_address: 186.33.167.248
                          prefix_len: 23
                    code: hspJwBQcSC
                    timeToComplete: 474
                    responsesCount: 98
                    id: 60de37d7ffbe034c3f446c8f
                  - _id: 60de392dffbe034c3f446c90
                    createdAt: '2021-07-01T16:52:46.000Z'
                    campaignId: 60de35bc56ca09002d3997f2
                    requestInfo:
                      ip: 157.100.173.245
                      ips:
                        - 157.100.173.245
                      location:
                        accuracy_radius: 5
                        latitude: -0.2143
                        longitude: -78.5017
                        time_zone: America/Guayaquil
                        city: Quito
                        country: Ecuador
                      geoData:
                        city:
                          geoname_id: 3652462
                          names:
                            de: Quito
                            en: Quito
                            es: Quito
                            fr: Quito
                            ja: キト
                            pt-BR: Quito
                            ru: Кито
                            zh-CN: 基多
                        continent:
                          code: SA
                          geoname_id: 6255150
                          names:
                            de: Südamerika
                            en: South America
                            es: Sudamérica
                            fr: Amérique du Sud
                            ja: 南アメリカ
                            pt-BR: América do Sul
                            ru: Южная Америка
                            zh-CN: 南美洲
                        country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        location:
                          accuracy_radius: 5
                          latitude: -0.2143
                          longitude: -78.5017
                          time_zone: America/Guayaquil
                        registered_country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        subdivisions:
                          - geoname_id: 3653224
                            iso_code: P
                            names:
                              en: Provincia de Pichincha
                        traits:
                          ip_address: 157.100.173.245
                          prefix_len: 19
                    code: _ELUXWs4uQ
                    timeToComplete: 788
                    responsesCount: 114
                    id: 60de392dffbe034c3f446c90
                  - _id: 60de3a03ffbe034c3f446c91
                    createdAt: '2021-07-01T16:56:18.000Z'
                    campaignId: 60de35bc56ca09002d3997f2
                    requestInfo:
                      ip: 157.100.172.103
                      ips:
                        - 157.100.172.103
                      location:
                        accuracy_radius: 5
                        latitude: -0.2143
                        longitude: -78.5017
                        time_zone: America/Guayaquil
                        city: Quito
                        country: Ecuador
                      geoData:
                        city:
                          geoname_id: 3652462
                          names:
                            de: Quito
                            en: Quito
                            es: Quito
                            fr: Quito
                            ja: キト
                            pt-BR: Quito
                            ru: Кито
                            zh-CN: 基多
                        continent:
                          code: SA
                          geoname_id: 6255150
                          names:
                            de: Südamerika
                            en: South America
                            es: Sudamérica
                            fr: Amérique du Sud
                            ja: 南アメリカ
                            pt-BR: América do Sul
                            ru: Южная Америка
                            zh-CN: 南美洲
                        country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        location:
                          accuracy_radius: 5
                          latitude: -0.2143
                          longitude: -78.5017
                          time_zone: America/Guayaquil
                        registered_country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        subdivisions:
                          - geoname_id: 3653224
                            iso_code: P
                            names:
                              en: Provincia de Pichincha
                        traits:
                          ip_address: 157.100.172.103
                          prefix_len: 19
                    code: bcjqGOr6Fe
                    timeToComplete: 1033
                    responsesCount: 114
                    id: 60de3a03ffbe034c3f446c91
                  - _id: 60de4a0cffbe034c3f446c94
                    createdAt: '2021-07-01T17:04:44.000Z'
                    campaignId: 60de35bc56ca09002d3997f2
                    requestInfo:
                      ip: 138.94.121.153
                      ips:
                        - 138.94.121.153
                      location:
                        accuracy_radius: 1
                        latitude: 14.1039
                        longitude: -87.2137
                        time_zone: America/Tegucigalpa
                        city: Tegucigalpa
                        country: Honduras
                      geoData:
                        city:
                          geoname_id: 3600949
                          names:
                            de: Tegucigalpa
                            en: Tegucigalpa
                            es: Tegucigalpa
                            fr: Tegucigalpa
                            ja: テグシガルパ
                            pt-BR: Tegucigalpa
                            ru: Тегусигальпа
                            zh-CN: 德古斯加巴
                        continent:
                          code: NA
                          geoname_id: 6255149
                          names:
                            de: Nordamerika
                            en: North America
                            es: Norteamérica
                            fr: Amérique du Nord
                            ja: 北アメリカ
                            pt-BR: América do Norte
                            ru: Северная Америка
                            zh-CN: 北美洲
                        country:
                          geoname_id: 3608932
                          iso_code: HN
                          names:
                            de: Honduras
                            en: Honduras
                            es: Honduras
                            fr: Honduras
                            ja: ホンジュラス共和国
                            pt-BR: Honduras
                            ru: Гондурас
                            zh-CN: 洪都拉斯
                        location:
                          accuracy_radius: 1
                          latitude: 14.1039
                          longitude: -87.2137
                          time_zone: America/Tegucigalpa
                        registered_country:
                          geoname_id: 3608932
                          iso_code: HN
                          names:
                            de: Honduras
                            en: Honduras
                            es: Honduras
                            fr: Honduras
                            ja: ホンジュラス共和国
                            pt-BR: Honduras
                            ru: Гондурас
                            zh-CN: 洪都拉斯
                        subdivisions:
                          - geoname_id: 3609672
                            iso_code: FM
                            names:
                              en: Departamento de Francisco Morazan
                        traits:
                          ip_address: 138.94.121.153
                          prefix_len: 22
                    code: TUTPaWA9ux
                    timeToComplete: 311
                    responsesCount: 82
                    id: 60de4a0cffbe034c3f446c94
                  - _id: 60de4748671eae60b2071aa4
                    createdAt: '2021-07-01T17:52:55.000Z'
                    campaignId: 60de35bc56ca09002d3997f2
                    requestInfo:
                      ip: 157.100.172.40
                      ips:
                        - 157.100.172.40
                      location:
                        accuracy_radius: 5
                        latitude: -0.2143
                        longitude: -78.5017
                        time_zone: America/Guayaquil
                        city: Quito
                        country: Ecuador
                      geoData:
                        city:
                          geoname_id: 3652462
                          names:
                            de: Quito
                            en: Quito
                            es: Quito
                            fr: Quito
                            ja: キト
                            pt-BR: Quito
                            ru: Кито
                            zh-CN: 基多
                        continent:
                          code: SA
                          geoname_id: 6255150
                          names:
                            de: Südamerika
                            en: South America
                            es: Sudamérica
                            fr: Amérique du Sud
                            ja: 南アメリカ
                            pt-BR: América do Sul
                            ru: Южная Америка
                            zh-CN: 南美洲
                        country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        location:
                          accuracy_radius: 5
                          latitude: -0.2143
                          longitude: -78.5017
                          time_zone: America/Guayaquil
                        registered_country:
                          geoname_id: 3658394
                          iso_code: EC
                          names:
                            de: Ecuador
                            en: Ecuador
                            es: Ecuador
                            fr: Équateur
                            ja: エクアドル共和国
                            pt-BR: Equador
                            ru: Эквадор
                            zh-CN: 厄瓜多尔
                        subdivisions:
                          - geoname_id: 3653224
                            iso_code: P
                            names:
                              en: Provincia de Pichincha
                        traits:
                          ip_address: 157.100.172.40
                          prefix_len: 19
                    code: y2qCwVTvBz
                    timeToComplete: 708
                    responsesCount: 98
                    id: 60de4748671eae60b2071aa4
                  - _id: 60de8c5dffbe034c3f446c95
                    createdAt: '2021-07-01T22:47:41.000Z'
                    campaignId: 60de35bc56ca09002d3997f2
                    requestInfo:
                      ip: 186.233.184.188
                      ips:
                        - 186.233.184.188
                      location:
                        accuracy_radius: 1000
                        latitude: 25.7741
                        longitude: -80.1817
                        metro_code: 528
                        time_zone: America/New_York
                        city: Miami
                        country: United States
                      geoData:
                        city:
                          geoname_id: 4164138
                          names:
                            de: Miami
                            en: Miami
                            fr: Miami
                            ja: マイアミ
                            pt-BR: Miami
                            ru: Майами
                            zh-CN: 迈阿密
                        continent:
                          code: NA
                          geoname_id: 6255149
                          names:
                            de: Nordamerika
                            en: North America
                            es: Norteamérica
                            fr: Amérique du Nord
                            ja: 北アメリカ
                            pt-BR: América do Norte
                            ru: Северная Америка
                            zh-CN: 北美洲
                        country:
                          geoname_id: 6252001
                          iso_code: US
                          names:
                            de: USA
                            en: United States
                            es: Estados Unidos
                            fr: États-Unis
                            ja: アメリカ合衆国
                            pt-BR: Estados Unidos
                            ru: США
                            zh-CN: 美国
                        location:
                          accuracy_radius: 1000
                          latitude: 25.7741
                          longitude: -80.1817
                          metro_code: 528
                          time_zone: America/New_York
                        postal:
                          code: '33102'
                        registered_country:
                          geoname_id: 3469034
                          iso_code: BR
                          names:
                            de: Brasilien
                            en: Brazil
                            es: Brasil
                            fr: Brésil
                            ja: ブラジル連邦共和国
                            pt-BR: Brasil
                            ru: Бразилия
                            zh-CN: 巴西
                        subdivisions:
                          - geoname_id: 4155751
                            iso_code: FL
                            names:
                              de: Florida
                              en: Florida
                              es: Florida
                              fr: Floride
                              ja: フロリダ州
                              pt-BR: Flórida
                              ru: Флорида
                              zh-CN: 佛罗里达州
                        traits:
                          ip_address: 186.233.184.188
                          prefix_len: 23
                    code: N9LFvUkij2
                    timeToComplete: 474
                    responsesCount: 114
                    id: 60de8c5dffbe034c3f446c95
                filteredCount: 8
                totalCount: 8
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '500':
          description: Internal server error
      servers:
        - url: https://responses.sightx.io
components:
  securitySchemes:
    AuthorizationHeader:
      type: apiKey
      in: header
      name: Authorization
      description: Access token obtained from the m2m-token endpoint.

````